XkbGetDetectableAutorepeat(3)

NAME
XkbGetDetectableAutorepeat - Determines whether or not the server supports DetectableAutorepeat

SYNOPSIS
Bool XkbGetDetectableAutorepeat ( display, supported_rtrn )
      Display * display;
      Bool * supported_rtrn;

ARGUMENTS

- display
    connection to X server

- supported_rtrn
    backfilled True if DetectableAutorepeat supported

DESCRIPTION

Auto-repeat is the generation of multiple key events by a keyboard when the user presses a key and holds it down. Keyboard hardware and device-dependent X server software often implement auto-repeat by generating multiple KeyPress events with no intervening KeyRelease event. The standard behavior of the X server is to generate a KeyRelease event for every KeyPress event. If the keyboard hardware and device-dependent software of the X server implement auto-repeat by generating multiple KeyPress events, the device-independent part of the X server by default synthetically generates a KeyRelease event after each KeyPress event. This provides predictable behavior for X clients, but does not allow those clients to detect the fact that a key is auto-repeating. Xkb allows clients to request detectable auto-repeat. If a client requests and the server supports DetectableAutorepeat, Xkb generates KeyRelease events only when the key is physically released. If DetectableAutorepeat is not supported or has not been requested, the server synthesizes a KeyRelease event for each repeating KeyPress event it generates. DetectableAutorepeat, unlike other controls, is not contained in the XkbControlsRec structure, nor can it be enabled or disabled via the EnabledControls control. Instead, query and set DetectableAutorepeat using XkbGetDetectableAutorepeat and XkbSetDetectableAutorepeat. DetectableAutorepeat is a condition that applies to all keyboard devices for a client's connection to a given X server; it cannot be selectively set for some devices and not for others. For this reason, none of the Xkb library functions involving DetectableAutorepeat involve a device specifier. XkbGetDetectableAutorepeat queries the server for the current state of DetectableAutorepeat and waits for a reply. If supported_rtrn is not NULL, it backfills supported_rtrn with True if the server supports DetectableAutorepeat, and False otherwise. XkbGetDetectableAutorepeat returns the current state of DetectableAutorepeat for the requesting client: True if DetectableAutorepeat is set, and False otherwise.

RETURN VALUES

True
    The XkbGetDetectableAutorepeat function returns True if the server supports DetectableAutorepeat.

False
    The XkbGetDetectableAutorepeat function returns False if the server does not support DetectableAutorepeat.